#include <vcl\vcl.h>
#pragma hdrstop

// Andy Preston - Apollo Developments - Swindon U.K. - andy@apollod.freeserve.co.uk

// Please note: I do not use C++ Builder, I hope there's no mistakes in this.
// But if there are it will take a while to fix them.

#include "CBDemo1.h"
#pragma resource "*.dfm"

#include "bleepint.hpp"

// You must create bleepint.hpp yourself:
// Create a dummy project, include bleepint.pas in the project and compile it
// you only need to do this once when you first use bleepint (unless you delete bleepint.hpp)

TDemoFrm *DemoFrm;

__fastcall TDemoFrm::TDemoFrm(TComponent* Owner) : TForm(Owner) {
}

// If your demo program uses exotic 3rd Party controlls the loads of people won't be able to run it - KEEP IT SIMPLE

// Watch out! If it's not in a 32-bit console app (i.e. most of the time) Bleepint routines call Application.ProcessMessages,
// so you might have to disable timer, buttons etc. whilst it's working

void __fastcall TDemoFrm::OKBtnClick(TObject *Sender) {
     Bleep (bOK);
}

void __fastcall TDemoFrm::IntBtnClick(TObject *Sender) {
     Bleep (bInterrupt);
}

void __fastcall TDemoFrm::ErrorBtnClick(TObject *Sender) {
     Bleep (bError);
}

void __fastcall TDemoFrm::SlideBtnClick(TObject *Sender) {
     Word i;
     for (i=100; i<150; i++) DoBleep (i*10, 10);
     for (i=150; i>100; i--) DoBleep (i*10, 10);
}


void __fastcall TDemoFrm::BoatBtnClick(TObject *Sender) {
     DoBleep (146, 250);  // D   Approximate frequencies based on table in
     DoBleep (123, 250);  // B   'Electronic Music And Musique Concret'
     DoBleep (164, 500);  // E   By F. C. Judd A.Inst.E.
     DoBleep (123, 500);  // B   Neville Spearman, London, 1961
     DoBleep (138, 125);  // C#
     DoBleep (146, 250);  // D   'Ei Ukhnem', More popularly known as 'The
     DoBleep (123, 250);  // B   Volga Boat Song'
     DoBleep (164, 500);  // E
     DoBleep (123, 500);  // B   This world famous song dates back to the
     DoBleep (138, 500);  // C#  days when teams of men pulled boats up
     DoBleep (146, 500);  // D   The Volga. At each pull of the rope, the
     DoBleep (195, 500);  // G   team would sing "Ei Ukhnem" (one more
     DoBleep (184, 500);  // F#  sigh). The words sing the praise of the
     DoBleep (195, 500);  // G   great "Mother of Rivers", the wide deep
     DoBleep (164, 500);  // E   Volga
     DoBleep (146, 250);  // D
     DoBleep (123, 250);  // B
     DoBleep (164, 250);  // E
     DoBleep (164, 250);  // E
     DoBleep (123, 1000); // B
}

void __fastcall TDemoFrm::PainBtnClick(TObject *Sender) {
     if (PainBtn->Tag==0) {
        PainBtn->Caption="Relief";
        PainBtn->Tag=1;
        DoBleep (1000, -1);
     }
     else {
       PainBtn->Caption="Pain";
       PainBtn->Tag=0;
       ShutUp();
     }
}

void __fastcall TDemoFrm::CloseBtnClick(TObject *Sender) {
     Close();
}